package com.java21days;

import java.awt.event.*;
import javax.swing.*;

public class MouseTest extends JFrame implements MouseListener {
    JLabel whichButton = new JLabel("Click a mouse button");

    public MouseTest() {
        super("Mouse Test");
        setSize(400, 325);
        addMouseListener(this);
        add(whichButton);
        setVisible(true);
    }

    @Override
    public void mouseClicked(MouseEvent evt){
        int button=evt.getModifiers();

        switch(button) {
            case MouseEvent.BUTTON1_MASK:
                whichButton.setText("Left Button");
                break;
            case MouseEvent.BUTTON2_MASK:
                whichButton.setText("Middle Button");
                break;
            case MouseEvent.BUTTON3_MASK:
                whichButton.setText("Right Button");
         }
    }

    @Override
    public void mousePressed(MouseEvent evt) {
        // do nothing
    }

    @Override
    public void mouseReleased(MouseEvent evt) {
        // do nothing
    }

    @Override
    public void mouseEntered(MouseEvent evt) {
        // do nothing
    }

    @Override
    public void mouseExited(MouseEvent evt) {
        // do nothing
    }
    
    private static void setLookAndFeel() {
       try {
           UIManager.setLookAndFeel(
                "javax.swing.plaf.nimbus.NimbusLookAndFeel"
            );
       } catch (Exception exc) {
           System.out.println("Look and feel error: " + exc.getMessage());
       }
   }
    
    public static void main(String[] arguments) {
        MouseTest.setLookAndFeel();
        JFrame frame = new MouseTest();
    }
}

